searchable.searchsequence

## Class ReorganizedSearchSequenceFactory

- java.lang.Object
- - searchable.searchsequence.ReorganizedSearchSequenceFactory

- All Implemented Interfaces:
    SearchableFactory

      public class ReorganizedSearchSequenceFactory
      extends java.lang.Object
      implements SearchableFactory

  Továrna na reorganizované vyhledávací posloupnosti.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ReorganizableSequenceFactory` | `sequenceFactory` továrna na reorganizovatelné posloupnosti

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReorganizedSearchSequenceFactory(ReorganizableSequenceFactory aSequenceFactory)` Vyrobí továrnu na reorganizované vyhledávací posloupnosti.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Searchable` | `createSearchable(int size)` Vyrobí vyhledávací strukturu.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sequenceFactory

          private ReorganizableSequenceFactory sequenceFactory

      továrna na reorganizovatelné posloupnosti

  - ### Constructor Detail

    - #### ReorganizedSearchSequenceFactory

          public ReorganizedSearchSequenceFactory(ReorganizableSequenceFactory aSequenceFactory)

      Vyrobí továrnu na reorganizované vyhledávací posloupnosti.
      Parameters:
        `aSequenceFactory` - továrna na reorganizovatelné posloupnosti

  - ### Method Detail

    - #### createSearchable

          public Searchable createSearchable(int size)

      Description copied from interface: `SearchableFactory`
      Vyrobí vyhledávací strukturu. Konkrétní podtyp je věcí implementace.
      Specified by:
        `createSearchable` in interface `SearchableFactory`
      Parameters:
        `size` - požadovaná kapacita struktury (max. počet prvků)
      Returns:
        nová vyhledávací struktura